Skip to main content
GET
/
deposits
/
{id}
cURL
curl --request GET \
  --url https://sandbox.onconsul.com/v1/deposits/{id} \
  --header 'Authorization: Bearer <token>'
{
  "created_at": "2023-11-07T05:31:56Z",
  "destination": {
    "amount": "<string>",
    "currency": "USDC",
    "chain": "ethereum",
    "min_amount": "<string>",
    "payment_method": "usd_ach"
  },
  "id": "<string>",
  "market_rate": "<string>",
  "resolved_destination": {
    "name": "<string>",
    "type": "managed_wallet"
  },
  "resolved_source": {
    "name": "<string>",
    "type": "managed_wallet"
  },
  "source": {
    "amount": "<string>",
    "currency": "USDC",
    "account_id": "<string>",
    "chain": "ethereum",
    "payment_method": "usd_ach"
  },
  "status": "queued",
  "transfer_type": "inbound_crypto",
  "tx_hash_steps": [
    {
      "chain": "ethereum",
      "created_at": "2023-11-07T05:31:56Z",
      "purpose": "<string>",
      "tx_hash": "<string>"
    }
  ],
  "crypto_transfer_instructions": {
    "chain": "ethereum",
    "wallet_address": "<string>"
  },
  "failure_reason": "<string>",
  "fee": {
    "currency": "USDC",
    "flat_fee": "<string>",
    "percentage_fee": "<string>"
  },
  "fiat_transfer_instructions": {
    "payment_method": "usd_ach",
    "ars_transfers_3_0_transfer_instructions": {
      "account_number": "<string>",
      "account_type": "<string>",
      "allowed_tax_id": "<string>"
    },
    "brl_pix_transfer_instructions": {
      "pix_code": "<string>"
    },
    "usd_ach_transfer_instructions": {
      "account_number": "<string>",
      "bank_name": "<string>",
      "beneficiary_address": "<string>",
      "beneficiary_name": "<string>",
      "routing_number": "<string>",
      "transfer_memo": "<string>"
    },
    "usd_fedwire_transfer_instructions": {
      "account_number": "<string>",
      "bank_name": "<string>",
      "beneficiary_address": "<string>",
      "beneficiary_name": "<string>",
      "routing_number": "<string>",
      "transfer_memo": "<string>"
    }
  },
  "tx_hash": "<string>"
}
Retrieve the current status and details of a deposit transfer by ID.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

OK

created_at
string<date-time>
required
destination
object
required
id
string
required
market_rate
string<decimal>
required
resolved_destination
object
required
resolved_source
object
required
source
object
required
status
enum<string>
required
Available options:
queued,
awaiting_transfer,
processing,
completed,
failed,
cancelled,
expired,
pending_claim
transfer_type
enum<string>
required
Available options:
inbound_crypto,
outbound_crypto,
onramp,
offramp
tx_hash_steps
object[]
required
crypto_transfer_instructions
object
failure_reason
string
fee
object
fiat_transfer_instructions
object
tx_hash
string